# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/schollz/croc
%global goipath         github.com/schollz/croc
Version:                9.6.4

%gometa -f

%global goaltipaths     github.com/schollz/croc/v9

%global common_description %{expand:
croc is a tool that allows any two computers to simply and securely transfer
files and folders.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Easily and securely send things from one computer to another

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  systemd-rpm-macros

%description %{common_description}

%package -n     croc
Summary:        %{summary}
%description -n croc
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/croc %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm0644 -t %{buildroot}%{_unitdir} croc.service
install -Dpm0644 src/install/bash_autocomplete \
                 %{buildroot}%{bash_completions_dir}/croc
install -Dpm0644 src/install/zsh_autocomplete \
                 %{buildroot}%{zsh_completions_dir}/_croc

%if %{with check}
%check
skip="TestPublicIP"
%if 0%{?fc38}
%ifarch s390x
skip="$skip TestSend"
%endif
%endif
for test in $skip \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done

%gocheck
%endif

%post
%systemd_post croc.service

%preun
%systemd_preun croc.service

%postun
%systemd_postun_with_restart croc.service

%files -n croc
%license LICENSE
%doc README.md
%{_bindir}/*
%{bash_completions_dir}/croc
%{zsh_completions_dir}/_croc
%{_unitdir}/croc.service

%gopkgfiles

%changelog
%autochangelog
